/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    IBM Corporation - initial API and implementation
 *     
 * Port to the D programming language:
 *    Jacob Carlborg <doob@me.com>
 *******************************************************************************/
module dwt.internal.cocoa.NSTextView;

import dwt.dwthelper.utils;
import cocoa = dwt.internal.cocoa.id;
import dwt.internal.cocoa.NSDictionary;
import dwt.internal.cocoa.NSText;
import dwt.internal.cocoa.NSTextContainer;
import dwt.internal.cocoa.NSTextStorage;
import dwt.internal.cocoa.OS;
import objc = dwt.internal.objc.runtime;

public class NSTextView : NSText {

public this() {
    super();
}

public this(objc.id id) {
    super(id);
}

public this(cocoa.id id) {
    super(id);
}

public NSDictionary markedTextAttributes() {
    objc.id result = OS.objc_msgSend(this.id, OS.sel_markedTextAttributes);
    return result !is null ? new NSDictionary(result) : null;
}

public void setRichText(bool flag) {
    OS.objc_msgSend(this.id, OS.sel_setRichText_, flag);
}

public NSTextContainer textContainer() {
    objc.id result = OS.objc_msgSend(this.id, OS.sel_textContainer);
    return result !is null ? new NSTextContainer(result) : null;
}

public NSTextStorage textStorage() {
    objc.id result = OS.objc_msgSend(this.id, OS.sel_textStorage);
    return result !is null ? new NSTextStorage(result) : null;
}

}
